> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/config/data-types/checkbox.md).

# Checkbox

A Value Set and a Value Source are required, just like with List of Value Characteristics, but instead of a dropdown appearing on the record, there will be a checkbox.\
\
Choose Yes/No as your Value Set to make a Yes/No checkbox. This will create a checkbox that will toggle between Yes and No when clicked.

| Value Precision | is AllowMultiple respected? | Has validation? |
| --------------- | --------------------------- | --------------- |
| -               | No                          | No              |

### Checkbox Data Type Definition

```json
{
     "fields" : [
     	{
		"fieldName": "Checkbox single",
		"label": "checkbox_single",
		"required": false,
		"maxLength": 10000,
		"editable": true,
		"dataType": "Checkbox",
		"allowMultiple": false,
		"listOfValues": [
		    {
		       "id": 1,
		       "label": "Yes",
		       "xref": null,
		       "childValues": []
		    },
		    {
		       "id": 2,
		       "label": "No",
		       "xref": null,
		       "childValues": []
		    }
	      ]
	},
        ...
    ]
}  
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/config/data-types/checkbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
